Skip to content

Network

All operations require authentication.

13 operationsv1/xdsl/{serviceName}
Agent setup

List the LANs of the modemProduction

GET
/1.0/xdsl/{serviceName}/modem/lan

Returns the names of the LANs configured on the modem of the access.

Path parameters

serviceName
required
string

Service name

Response

200string[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/modem/lan \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a LAN of the modemProduction

GET
/1.0/xdsl/{serviceName}/modem/lan/{lanName}

Returns the IP address, subnet mask and addressing type of a LAN of the modem.

Path parameters

lanName
required
string

Lan name

serviceName
required
string

Service name

Response

200LANsuccessful operation
IPAddress
ip

IP address (e.g., 192.0.2.0)

addressingType
AddressingTypeEnum

How the modem gets its LAN IP Address

ValuesDHCPStatic
lanName
read-only
string

Name of the LAN

subnetMask
ip

IP address (e.g., 192.0.2.0)

taskId
read-only
integer

ID of the ongoing todo (NULL if none)

Example uses lanName = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/modem/lan/{lanName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "IPAddress": "192.0.2.0", "addressingType": "DHCP", "lanName": "string", "subnetMask": "192.0.2.0", "taskId": 0}

Update a LAN of the modemProduction

PUT
/1.0/xdsl/{serviceName}/modem/lan/{lanName}

Changes the IP address, subnet mask and addressing type of a LAN of the modem.

Path parameters

lanName
required
string

Lan name

serviceName
required
string

Service name

Request body (required)

IPAddress
ip

IP address (e.g., 192.0.2.0)

addressingType
AddressingTypeEnum

How the modem gets its LAN IP Address

ValuesDHCPStatic
lanName
read-only
string

Name of the LAN

subnetMask
ip

IP address (e.g., 192.0.2.0)

taskId
read-only
integer

ID of the ongoing todo (NULL if none)

Response

200—successful operation

Example uses lanName = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/modem/lan/{lanName} \
  -H "authorization: Bearer $OVH_TOKEN"

List the DHCP servers of a LANProduction

GET
/1.0/xdsl/{serviceName}/modem/lan/{lanName}/dhcp

Returns the names of the DHCP servers configured on a LAN of the modem.

Path parameters

lanName
required
string

Lan name

serviceName
required
string

Service name

Response

200string[]successful operation

Example uses lanName = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/modem/lan/{lanName}/dhcp \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a DHCP server of a LANProduction

GET
/1.0/xdsl/{serviceName}/modem/lan/{lanName}/dhcp/{dhcpName}

Returns the state, address range, subnet mask, gateway, DNS servers, domain name and lease time of a DHCP server of the modem.

Path parameters

dhcpName
required
string

Dhcp name

lanName
required
string

Lan name

serviceName
required
string

Service name

Response

200DHCPsuccessful operation
defaultGateway
ip

IP address (e.g., 192.0.2.0)

dhcpName
read-only
string

Name of the DHCP

domainName
string

Domain name provided to the clients

endAddress
ip

IP address (e.g., 192.0.2.0)

leaseTime
integer

Lease time in seconds of client assigned address (-1 means infinite)

primaryDNS
ip

IP address (e.g., 192.0.2.0)

secondaryDNS
ip

Secondary DNS servers to be given to the clients

serverEnabled
boolean

State of the DHCP server of the modem

startAddress
ip

IP address (e.g., 192.0.2.0)

subnetMask
ip

IP address (e.g., 192.0.2.0)

taskId
read-only
integer

ID of the ongoing todo (NULL if none)

Example uses dhcpName = string, lanName = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/modem/lan/{lanName}/dhcp/{dhcpName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "defaultGateway": "192.0.2.0", "dhcpName": "string", "domainName": "string", "endAddress": "192.0.2.0", "leaseTime": 0, "primaryDNS": "192.0.2.0", "secondaryDNS": "192.0.2.0", "serverEnabled": true, "startAddress": "192.0.2.0", "subnetMask": "192.0.2.0", "taskId": 0}

Update a DHCP server of a LANProduction

PUT
/1.0/xdsl/{serviceName}/modem/lan/{lanName}/dhcp/{dhcpName}

Changes the state, address range, subnet mask, gateway, DNS servers, domain name or lease time of a DHCP server of the modem.

Path parameters

dhcpName
required
string

Dhcp name

lanName
required
string

Lan name

serviceName
required
string

Service name

Request body (required)

defaultGateway
ip

IP address (e.g., 192.0.2.0)

dhcpName
read-only
string

Name of the DHCP

domainName
string

Domain name provided to the clients

endAddress
ip

IP address (e.g., 192.0.2.0)

leaseTime
integer

Lease time in seconds of client assigned address (-1 means infinite)

primaryDNS
ip

IP address (e.g., 192.0.2.0)

secondaryDNS
ip

Secondary DNS servers to be given to the clients

serverEnabled
boolean

State of the DHCP server of the modem

startAddress
ip

IP address (e.g., 192.0.2.0)

subnetMask
ip

IP address (e.g., 192.0.2.0)

taskId
read-only
integer

ID of the ongoing todo (NULL if none)

Response

200—successful operation

Example uses dhcpName = string, lanName = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/modem/lan/{lanName}/dhcp/{dhcpName} \
  -H "authorization: Bearer $OVH_TOKEN"

List the DHCP static leasesProduction

GET
/1.0/xdsl/{serviceName}/modem/lan/{lanName}/dhcp/{dhcpName}/DHCPStaticAddresses

Returns the MAC addresses of the devices with a static lease on a DHCP server of the modem.

Path parameters

dhcpName
required
string

Dhcp name

lanName
required
string

Lan name

serviceName
required
string

Service name

Response

200string[]successful operation

Example uses dhcpName = string, lanName = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/modem/lan/{lanName}/dhcp/{dhcpName}/DHCPStaticAddresses \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Create a DHCP static leaseProduction

POST
/1.0/xdsl/{serviceName}/modem/lan/{lanName}/dhcp/{dhcpName}/DHCPStaticAddresses

Reserves an IP address for a device MAC address on a DHCP server of the modem. Returns the created lease.

Path parameters

dhcpName
required
string

Dhcp name

lanName
required
string

Lan name

serviceName
required
string

Service name

Request body (required)

IPAddress
required
ip

IP address (e.g., 192.0.2.0)

MACAddress
required
string

The MAC address of the device

name
string

Name of the DHCP static lease

Response

200DHCPStaticAddresssuccessful operation
IPAddress
ip

IP address (e.g., 192.0.2.0)

MACAddress
read-only
string

The MAC address of the device

name
string

Name of the DHCP Static lease

taskId
read-only
integer

ID of the ongoing todo (NULL if none)

Example uses dhcpName = string, lanName = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/modem/lan/{lanName}/dhcp/{dhcpName}/DHCPStaticAddresses \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "IPAddress": "192.0.2.0", "MACAddress": "string", "name": "string", "taskId": 0}

Get a DHCP static leaseProduction

GET
/1.0/xdsl/{serviceName}/modem/lan/{lanName}/dhcp/{dhcpName}/DHCPStaticAddresses/{MACAddress}

Returns the name, MAC address and reserved IP address of a static lease.

Path parameters

MACAddress
required
string

macaddress

dhcpName
required
string

Dhcp name

lanName
required
string

Lan name

serviceName
required
string

Service name

Response

200DHCPStaticAddresssuccessful operation
IPAddress
ip

IP address (e.g., 192.0.2.0)

MACAddress
read-only
string

The MAC address of the device

name
string

Name of the DHCP Static lease

taskId
read-only
integer

ID of the ongoing todo (NULL if none)

Example uses MACAddress = string, dhcpName = string, lanName = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/modem/lan/{lanName}/dhcp/{dhcpName}/DHCPStaticAddresses/{MACAddress} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "IPAddress": "192.0.2.0", "MACAddress": "string", "name": "string", "taskId": 0}

Update a DHCP static leaseProduction

PUT
/1.0/xdsl/{serviceName}/modem/lan/{lanName}/dhcp/{dhcpName}/DHCPStaticAddresses/{MACAddress}

Changes the name or the reserved IP address of a static lease.

Path parameters

MACAddress
required
string

macaddress

dhcpName
required
string

Dhcp name

lanName
required
string

Lan name

serviceName
required
string

Service name

Request body (required)

IPAddress
ip

IP address (e.g., 192.0.2.0)

MACAddress
read-only
string

The MAC address of the device

name
string

Name of the DHCP Static lease

taskId
read-only
integer

ID of the ongoing todo (NULL if none)

Response

200—successful operation

Example uses MACAddress = string, dhcpName = string, lanName = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/modem/lan/{lanName}/dhcp/{dhcpName}/DHCPStaticAddresses/{MACAddress} \
  -H "authorization: Bearer $OVH_TOKEN"

Delete a DHCP static leaseProduction

DELETE
/1.0/xdsl/{serviceName}/modem/lan/{lanName}/dhcp/{dhcpName}/DHCPStaticAddresses/{MACAddress}

Removes the static lease from the DHCP server of the modem. Returns the task that performs the change.

Path parameters

MACAddress
required
string

macaddress

dhcpName
required
string

Dhcp name

lanName
required
string

Lan name

serviceName
required
string

Service name

Response

200Tasksuccessful operation
doneDate
read-only
stringdate-time

Date when the action was completed

function
read-only
string
—
id
read-only
integer
—
isArchived
read-only
boolean
—
status
read-only
TaskStatusEnum

Status of a task.

Valuescancelleddoingdoneerrorproblemtodo
todoDate
read-only
stringdate-time

Date when the action will start

updateDate
read-only
stringdate-time
—

Example uses MACAddress = string, dhcpName = string, lanName = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/modem/lan/{lanName}/dhcp/{dhcpName}/DHCPStaticAddresses/{MACAddress} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "isArchived": true, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "updateDate": "2024-01-01T12:00:00Z"}

List the devices connected to the modemProduction

GET
/1.0/xdsl/{serviceName}/modem/connectedDevices

Returns the MAC addresses of the devices connected to the modem of the access.

Path parameters

serviceName
required
string

Service name

Response

200string[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/modem/connectedDevices \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a device connected to the modemProduction

GET
/1.0/xdsl/{serviceName}/modem/connectedDevices/{macAddress}

Returns the host name, IP address, interface, DHCP lease time and state of a device connected to the modem.

Path parameters

macAddress
required
string

Mac address

serviceName
required
string

Service name

Response

200connectedDevicesuccessful operation
active
read-only
boolean

The state of this device on the modem

addressSource
read-only
ConnectedDeviceAddressSourceEnum

How did the device got its IP address

ValuesDHCPStaticUnknown
hostName
read-only
string

Host name given by the device to the modem

informationDate
read-only
stringdate-time

The date time of the last update of thoses information

interfaceType
read-only
string

On which interface is connected the device

ipAddress
read-only
ip

The IP address of the device

leaseTimeRemaining
read-only
integer

The remaining time in seconds of the DHCP lease of this device (-1 means infinite)

macAddress
read-only
string

MAC address of the device

Example uses macAddress = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/modem/connectedDevices/{macAddress} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "active": true, "addressSource": "DHCP", "hostName": "string", "informationDate": "2024-01-01T12:00:00Z", "interfaceType": "string", "ipAddress": "192.0.2.0", "leaseTimeRemaining": 0, "macAddress": "string"}